<!doctype html>

{% assign sanitisedLang = page.lang %}
{% if sanitisedLang == nil %}
    {% assign sanitisedLang = 'en' %}
{% endif %}

<html>
  <head>
    <meta charset="utf-8">
    <title>{{site.data.localisations.dotarota[sanitisedLang]}}</title>

    <link rel="stylesheet" type="text/css" href="{{site.baseurl}}/css/main.css">
    <link rel="stylesheet" type="text/css" href="{{site.baseurl}}/css/bootstrap_slate_theme.css">

    <!-- Initialize the list of things matching this tag -->

    {% assign modList = "" | split: "," %}
    {% assign dotaVariantList = "" | split: "," %}

    {% for pg in site.pages %}

      {% assign checkPg = site.pages |
            where: 'lang', sanitisedLang |
            where: 'content_id', pg.content_id |
            first
      %}
      {% assign localisedPg = pg %}
      {% if checkPg %}
        {% assign localisedPg = checkPg %}
      {% endif %}

      {% if pg.lang == 'en' and pg.contentType == 'custom-game' %}

        {% assign locale = pg.url | slice:0,4 %}
        {% assign unlocalised = pg.url %}
        {% for supportedLang in site.data.localisations.locales %}
            {% assign testString = '/' | append: supportedLang | append: '/' %}
            {% if testString == locale %}
                {% assign unlocalised = unlocalised | remove_first: locale %}
                {% break %}
            {% endif %}
        {% endfor %}
        {% capture link %}{{site.baseurl}}/{{sanitisedLang}}/{{unlocalised}}{% endcapture %}

        {% assign newMod = "" | split: "," %}
        {% assign newMod = newMod | push: localisedPg.title %}
        {% assign newMod = newMod | push: localisedPg.lang %}
        {% assign newMod = newMod | push: localisedPg.contentType %}
        {% assign newMod = newMod | push: localisedPg.content_id %}
        {% assign newMod = newMod | push: localisedPg.infoBoxContent %}
        {% assign strippedContent = localisedPg.content | markdownify %}
        {% assign newMod = newMod | push: strippedContent %}
        {% assign newMod = newMod | push: link %}
        {% assign newMod = newMod | push: localisedPg.tags %}

        {% assign modList = modList | push: newMod %}
      {% endif %}

      {% if pg.lang == 'en' and pg.contentType == 'dota-variant' %}

        {% assign locale = pg.url | slice:0,4 %}
        {% assign unlocalised = pg.url %}
        {% for supportedLang in site.data.localisations.locales %}
            {% assign testString = '/' | append: supportedLang | append: '/' %}
            {% if testString == locale %}
                {% assign unlocalised = unlocalised | remove_first: locale %}
                {% break %}
            {% endif %}
        {% endfor %}
        {% capture link %}{{site.baseurl}}/{{sanitisedLang}}/{{unlocalised}}{% endcapture %}


        {% assign newMod = "" | split: "," %}
        {% assign newMod = newMod | push: localisedPg.title %}
        {% assign newMod = newMod | push: localisedPg.lang %}
        {% assign newMod = newMod | push: localisedPg.contentType %}
        {% assign newMod = newMod | push: localisedPg.content_id %}
        {% assign newMod = newMod | push: localisedPg.infoBoxContent %}
        {% assign strippedContent = localisedPg.content | markdownify %}
        {% assign newMod = newMod | push: strippedContent %}
        {% assign newMod = newMod | push: link %}
        {% assign newMod = newMod | push: localisedPg.tags %}

        {% assign dotaVariantList = dotaVariantList | push: newMod %}
      {% endif %}

    {% endfor %}


    <script>
      var modList = {{ modList | jsonify }};
      var dotaVariantList = {{ dotaVariantList | jsonify }};
      var baseUrl = '{{ site.baseurl }}';
      var locale = '{{ sanitisedLang }}';
      var localizations = {{ site.data.localisations | jsonify }};
    </script>

    <script src="{{site.baseurl}}/js/index.js"> </script>

  </head>
  <body>
    <div class="topbar">
      {% include topbar.html %}
    </div>
    <div class="central">
        <div class="navbar">
            {% capture navContext %}/en/{% endcapture %}
            {% include nav.html context=navContext %}
        </div>
        <div class="main">

          {% if page.isStub %}
            <div class="premonition warning">
              <div class="fa fa-exclamation-circle"></div>
              <div class="content"><p class="header">{{ site.data.localisations.localised_page_unavailable_title[sanitisedLang] }}</p>
              <p>{{ site.data.localisations.localised_page_unavailable[sanitisedLang] }}</p>
            </div></div>
          {% endif %}

          <!------------------------------------------------------------------>
          <!----------------------- Stuff "Of the Day" ----------------------->
          <!------------------------------------------------------------------>

          <div class="ofTheDayContainer">
          <div class="largeCardContainer">
            <h2 class="center">
              {{ site.data.localisations.custom_game_of_the_day[sanitisedLang] }}</h2>

            <!-- Populated by JS -->
            <a id="todaysModContainer" class="largeCategoryCard">

              <div class="cardPart">

                <div class="cardImageContainer">
                  <object class="cardImage" type="image/png">
                  </object>
                  <div class="cardSVGContainer">
                    <svg class="cardSVG" >
                      <g>
                        <text class="svgText"
                              y="40%"
                              x="10"
                              textLength="180" 
                              lengthAdjust="spacingAndGlyphs"
                              style="
                                fill: rgba(100,100, 180,1);
                                text-shadow: 2px 2px 4px #000, -1px -1px 4px #000;
                                font-weight: bold;
                              "
                        ></text>
                      </g>
                    </svg>
                  </div>
                </div>

                <div class="cardRow">
                  <div class="gameInfo-icon time-icon"></div>
                  <span class="cardRowText gameTime">
                    {{ site.data.localisations.duration-minutes[sanitisedLang] }}
                </span>
                </div>

                <div class="cardRow">
                  <div class="gameInfo-icon playerCount-icon"></div>
                  <span class="cardRowText playerCount">
                  </span>
                </div>

                <div class="cardRow">
                  <div class="gameInfo-icon tags-icon"></div>
                  <span class="cardRowText tags">
                  </span>
                </div>

              </div>

              <div class="descriptionPart">
                <h3 class="descriptionTitle">
                </h3>
                <p class="descriptionText"></p>

              </div>

            </a>

          </div>

          <div class="largeCardContainer">
            <h2 class="center">
              {{ site.data.localisations.dota_variant_of_the_day[sanitisedLang] }}</h2>

              <!-- Populated by JS -->
            <a id="todaysDotaVariantContainer" class="largeCategoryCard">

              <div class="cardPart">

                <div class="cardImageContainer">
                  <object class="cardImage" type="image/png">
                  </object>
                  <div class="cardSVGContainer">
                    <svg class="cardSVG" >
                      <g>
                        <text class="svgText"
                              y="40%"
                              x="10"
                              textLength="180" 
                              lengthAdjust="spacingAndGlyphs"
                              style="
                                fill: rgba(180,100, 180,1);
                                text-shadow: 2px 2px 4px #000, -1px -1px 4px #000;
                                font-weight: bold;
                              "
                        ></text>
                      </g>
                    </svg>
                  </div>
                </div>

                <div class="cardRow">
                  <div class="gameInfo-icon time-icon"></div>
                  <span class="cardRowText gameTime">
                    {{ site.data.localisations.duration-minutes[sanitisedLang] }}
                </span>
                </div>

                <div class="cardRow">
                  <div class="gameInfo-icon playerCount-icon"></div>
                  <span class="cardRowText playerCount"></span>
                </div>

                <div class="cardRow">
                  <div class="gameInfo-icon tags-icon"></div>
                  <span class="cardRowText tags"></span>
                </div>

              </div>

              <div class="descriptionPart">
                <h3 class="descriptionTitle"></h3>
                <p class="descriptionText"></p>
              </div>

            </a>

          </div>
          </div>


          <!------------------------------------------------------------------>
          <!------------------------ "From the Blog" ------------------------->
          <!------------------------------------------------------------------>
          <hr/>
          <div class="blogContainer">

          <h2 class="center"> {{ site.data.localisations.recent_blog_posts[sanitisedLang] }}</h2>
          {% assign listElements = site.pages | where: 'lang', 'en' | where: 'contentType', 'blog' | sort: 'post-date' | reverse %}

          <div id="plainListContainer">


            {% for entry in listElements limit:5 %}

              {% assign locale = entry.url | slice:0,4 %}
              {% assign unlocalised = entry.url %}

              {% for supportedLang in site.data.localisations.locales %}
                  {% assign testString = '/' | append: supportedLang | append: '/' %}
                  {% if testString == locale %}
                      {% assign unlocalised = unlocalised | remove_first: locale %}
                      {% break %}
                  {% endif %}
              {% endfor %}

              {% capture link %}{{site.baseurl}}/{{sanitisedLang}}/{{unlocalised}}
              {% endcapture %}

              {% assign localisedVersion = site.pages | where: 'lang', page.lang | where: 'content_id', entry.content_id | first %}
              {% assign actualEntry = entry %}
              {% if localisedVersion %}
                {% assign actualEntry = localisedVersion %}
              {% endif %}

            <a class="plainListLink" href="{{link}}">
              <div class="blogHeaderRow">
                <h4 class="blogTitle">{{ actualEntry.title }}</h4>
                <h5 class="blogDate">{{ actualEntry.post-date}}</h5>
              </div>
              <div class="blogContent">
                {{ actualEntry.content | truncatewords: 50 | markdownify }}
              </div>
            </a>

            {% endfor %}
          </div>

        </div>
          <!------------------------------------------------------------------>
          <!--------------------------- "Community" -------------------------->
          <!------------------------------------------------------------------>

          <hr/>
          <!--
          <h2 class="center noBotMargin">{{ site.data.localisations.community[sanitisedLang] }}</h2>
          -->
          <div class="communityContainer">
          <a href="https://discord.gg/7KYbX2K">
            <div class="communityPanel discord-container">
              <span class="discord-logo"></span>
            </div>
            <div class="communityPanel text-container">
              {{ site.data.localisations.join_discord[sanitisedLang] }}
            </div>
            <div style="clear: both"></div>
          </a>
          </div>

        </div>

    </div>

    <div class="botbar">
      {% include botbar.html %}
    </div>

  </body>
</html>